> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gauntlet.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest token price

> Returns the latest USD price for a token. Query parameters: `address` (required), `chain_id` (required), `at` (optional ISO 8601 timestamp).



## OpenAPI

````yaml GET /v1/prices
openapi: 3.1.0
info:
  title: Gauntlet API
  description: Gauntlet vault data and user positions API.
  contact:
    name: Gauntlet
    url: https://gauntlet.xyz
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.gauntlet.xyz
    description: Production
security: []
tags:
  - name: System
    description: Health checks and Prometheus metrics
  - name: TVL
    description: Aggregate live TVL
  - name: Strategies
    description: Curated strategy groupings with aggregate metrics
  - name: Vaults
    description: Vault listings, details, metrics, timeseries
  - name: Users
    description: Per-wallet position state and timeseries
  - name: Prices
    description: Token price lookups and historical timeseries
paths:
  /v1/prices:
    get:
      tags:
        - Prices
      summary: Get latest token price
      description: >-
        Returns the latest USD price for a token. Query parameters: `address`
        (required), `chain_id` (required), `at` (optional ISO 8601 timestamp).
      operationId: get_latest_price
      responses:
        '200':
          description: Token price
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LatestPriceResponse'
        '404':
          description: Token not found
        '422':
          description: Invalid parameters
        '503':
          description: Pricing service not configured
components:
  schemas:
    LatestPriceResponse:
      type: object
      required:
        - address
        - chain_id
        - symbol
        - price
        - currency
        - timestamp
      properties:
        address:
          type: string
        chain_id:
          type: integer
          format: int64
          minimum: 0
        currency:
          type: string
        price:
          $ref: '#/components/schemas/PriceValue'
        symbol:
          type: string
        timestamp:
          type: string
    PriceValue:
      type: object
      required:
        - usd
        - decimals
      properties:
        decimals:
          type: integer
          format: int32
          minimum: 0
        usd:
          type: number
          format: double

````